Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::elevation_grid_node Class Reference

Inheritance diagram for openvrml::vrml97_node::elevation_grid_node:

[legend]
List of all members.

## Detailed Description

ElevationGrid node instances.

## Public Member Functions

| elevation_grid_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~elevation_grid_node () throw ()
| Destroy.
virtual bool | modified () const
| Determine whether the node has been modified.

## Private Member Functions

virtual viewer::object_t | do_render_geometry (openvrml::viewer &viewer, rendering_context context)
| Insert this geometry into `viewer's` display list.

## Private Attributes

set_height_listener | set_height_listener_
| set_height eventIn handler.
exposedfield< sfnode > | color_
| color exposedField.
exposedfield< sfnode > | normal_
| normal exposedField.
exposedfield< sfnode > | tex_coord_
| texCoord exposedField.
mffloat | height_
| height field.
sfbool | ccw_
| ccw field.
sfbool | color_per_vertex_
| colorPerVertex field.
sffloat | crease_angle_
| creaseAngle field.
sfbool | normal_per_vertex_
| normalPerVertex field.
sfbool | solid_
| solid field.
sfint32 | x_dimension_
| xDimension field.
sffloat | x_spacing_
| xSpacing field.
sfint32 | z_dimension_
| zDimension field.
sffloat | z_spacing_
| zSpacing field.

## Friends

class | elevation_grid_class
| Class object for ElevationGrid nodes.

## Classes

class | set_height_listener
| set_height event handler. More...

## Constructor & Destructor Documentation

openvrml::vrml97_node::elevation_grid_node::elevation_grid_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the node instance.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::elevation_grid_node::~elevation_grid_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

bool openvrml::vrml97_node::elevation_grid_node::modified | ( |  | ) | const`[virtual]`

Determine whether the node has been modified.

Returns:
  `true` if the node or one of its children has been modified, `false` otherwise.

Reimplemented from openvrml::node.

viewer::object_t openvrml::vrml97_node::elevation_grid_node::do_render_geometry | ( | openvrml::viewer & | viewer,
|  | rendering_context | context
| ) | `[private, virtual]`

Insert this geometry into `viewer's` display list.

Parameters:

  | viewer | a Viewer.
  | context | the rendering context.

Reimplemented from openvrml::geometry_node.

## Friends And Related Function Documentation

openvrml::vrml97_node::elevation_grid_node::elevation_grid_class`[friend]`

| Class object for ElevationGrid nodes.

## Member Data Documentation

elevation_grid_node::set_height_listener openvrml::vrml97_node::elevation_grid_node::set_height_listener_ `[private]`

| set_height eventIn handler.

exposedfield< sfnode > openvrml::vrml97_node::elevation_grid_node::color_ `[private]`

| color exposedField.

exposedfield< sfnode > openvrml::vrml97_node::elevation_grid_node::normal_ `[private]`

| normal exposedField.

exposedfield< sfnode > openvrml::vrml97_node::elevation_grid_node::tex_coord_ `[private]`

| texCoord exposedField.

mffloat openvrml::vrml97_node::elevation_grid_node::height_ `[private]`

| height field.

sfbool openvrml::vrml97_node::elevation_grid_node::ccw_ `[private]`

| ccw field.

sfbool openvrml::vrml97_node::elevation_grid_node::color_per_vertex_ `[private]`

| colorPerVertex field.

sffloat openvrml::vrml97_node::elevation_grid_node::crease_angle_ `[private]`

| creaseAngle field.

sfbool openvrml::vrml97_node::elevation_grid_node::normal_per_vertex_ `[private]`

| normalPerVertex field.

sfbool openvrml::vrml97_node::elevation_grid_node::solid_ `[private]`

| solid field.

sfint32 openvrml::vrml97_node::elevation_grid_node::x_dimension_ `[private]`

| xDimension field.

sffloat openvrml::vrml97_node::elevation_grid_node::x_spacing_ `[private]`

| xSpacing field.

sfint32 openvrml::vrml97_node::elevation_grid_node::z_dimension_ `[private]`

| zDimension field.

sffloat openvrml::vrml97_node::elevation_grid_node::z_spacing_ `[private]`

| zSpacing field.